LINUX.ORG.RU

Gentoo kernel2.6.16-r13 это устаревшее ядро?


0

1

при попытки выполнить

chroot:emerge -av gentoo-sources
появляется сообщение
!!! Your current profile is deprecated and not supported anymore.
!!! Please upgrade to the following profile if possible:
[ebuild   R   ] sys-kernel/gentoo-sources-2.6.16-r13  USE="symlink -build (-ultra1)" 0 kB 
Подозреваю что это ядро далеко не новое, о чем наверное и намекает Please upgrade... но как быть я только что выполнил emerge-webrsync -v всё прошло удачно. Или данная версия ядра может быть связана с чем-то другим например с нестандартной конфигурацией, хотя она у меня обычная?

До этого выполнил

ln -snf /usr/portage/profiles/default/linux/x86 /etc/make.profile
так же пробовал
 ln -snf /usr/portage/profiles/hardened/linux/x86/server/ /etc/make.profile

Ответ на: комментарий от UserUnknown

Да спасибо упустил, этот момент. Выбрал

[6]   default/linux/x86/10.0/server * 
но таже самая версия меня злостно преследует
[ebuild   R   ] sys-kernel/gentoo-sources-2.6.16-r13  USE="symlink -build (-ultra1)" 0 kB 

mordovorot ()

я для каких целей именно это старющее ведро?

anonymous ()
Ответ на: комментарий от anonymous

>я для каких целей именно это старющее ведро? Что вы, что вы, я противник имено его, а новое выбрать не удается (очнее опыта недостаточно)

mordovorot ()
Ответ на: комментарий от mordovorot

emerge -av '=sys-kernel/gentoo-sources-2.6.36-r5'
# или emerge -av '=sys-kernel/gentoo-sources-2.6.38' для анстейбла
eselect kernel set 2
emerge -av --depclean

как-то так?

anonymous ()

а что у вас в /etc/make.conf в переменной ACCEPT_KEYWORDS?

anonymous ()
Ответ на: комментарий от anonymous

emerge -av '=sys-kernel/gentoo-sources-2.6.36-r5'

появилась друга проблема,
Calculating dependencies /
!!! All ebuilds that could satisfy «=sys-kernel/gentoo-sources-2.6.37-r3» have been masked.
пытаюсь решить покамись не опробовал этот способ, но принцип понятен благодарю.


а что у вас в /etc/make.conf в переменной ACCEPT_KEYWORDS?

#Эксперементальное п.о.
ACCEPT_KEYWORDS=«~x86»

mordovorot ()
Ответ на: комментарий от anonymous

Я смеюсь
chroot:emerge -av autounmask
!!! All ebuilds that could satisfy «dev-perl/Shell-EnvImporter» have been masked.

Но всёравно спасибо.
Попробую разорвать змею кусающую себя за хвост.

mordovorot ()
Ответ на: комментарий от mordovorot

Для тех у кого аналогичные проблемы:

Решена последняя часть have been masked.

emerge -avO portage

mordovorot ()

во-первых, для профиля есть eselect. а во-вторых, используй стандартный профиль и не выпендривайся.

devl547 ★★★★★ ()

Вы просто попытались установить доисторическую генту, нужен был другой stage.

babusha ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.